package ru.voskhod.smev.client.api.services.transport.configuration;

import ru.voskhod.smev.client.api.configuration.SMEVConfiguration;

import java.util.List;

/**
 * Конфигурация транспорта сообщений
 */
public interface MessageTransportConfiguration extends SMEVConfiguration {

    /**
     * Адрес СМЭВ
     *
     * @return url-адрес СМЭВ
     */
    String getUrl();

    /**
     * Таймаут обращения к сервису
     *
     * @return таймаут обращения к сервису
     */
    int getTimeout();
}
