package ru.voskhod.smev.client.api.types.message.business.data.request;

import org.w3c.dom.Element;
import ru.voskhod.smev.client.api.types.message.business.data.BusinessContent;
import ru.voskhod.smev.client.api.types.message.business.enums.BusinessStatus;

import java.util.List;

/**
 * Базовый класс для содержимого сообщений-запросов
 */
public abstract class AbstractRequestContent extends BusinessContent {

    /**
     * Конструктор
     *
     * @param status                  статус
     * @param businessProcessMetadata бизнес-метаданные, заданные пользователем
     */
    protected AbstractRequestContent(BusinessStatus status, List<Element> businessProcessMetadata) {
        super(status, businessProcessMetadata);
    }
}
