package ru.voskhod.smev.client.api.factory.loaders;

import ru.voskhod.smev.client.api.services.identification.IdentityService;
import ru.voskhod.smev.client.api.services.identification.configuration.IdentityServiceConfiguration;

/**
 * The interface Identity loader.
 */
public interface IdentityLoader {
    /**
     * Gets identity.
     *
     * @param <T>    the type parameter
     * @param config the config
     * @return the identity
     */
    <T extends IdentityServiceConfiguration> IdentityService getIdentity(T config);
}
