
package ru.gov.smev.admserv.admserv._1;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the ru.gov.smev.admserv.admserv._1 package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _SenderIsSwitchBlockedFault_QNAME = new QName("urn://admserv-smev-gov-ru/admserv/1.0", "SenderIsSwitchBlockedFault");
    private final static QName _SenderIsNotRegisteredFault_QNAME = new QName("urn://admserv-smev-gov-ru/admserv/1.0", "SenderIsNotRegisteredFault");
    private final static QName _SMEVFailure_QNAME = new QName("urn://admserv-smev-gov-ru/admserv/1.0", "SMEVFailure");
    private final static QName _SignatureVerificationFault_QNAME = new QName("urn://admserv-smev-gov-ru/admserv/1.0", "SignatureVerificationFault");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: ru.gov.smev.admserv.admserv._1
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ru.gov.smev.admserv.admserv._1.AdministrativeServiceFault }
     *
     */
    public AdministrativeServiceFault createAdministrativeServiceFault() {
        return new AdministrativeServiceFault();
    }

    /**
     * Create an instance of {@link ru.gov.smev.admserv.admserv._1.SwitchResponseInfo }
     *
     */
    public SwitchResponseInfo createSwitchResponseInfo() {
        return new SwitchResponseInfo();
    }

    /**
     * Create an instance of {@link ru.gov.smev.admserv.admserv._1.CurrentNodeRequest }
     *
     */
    public CurrentNodeRequest createCurrentNodeRequest() {
        return new CurrentNodeRequest();
    }

    /**
     * Create an instance of {@link ru.gov.smev.admserv.admserv._1.Timestamp }
     *
     */
    public Timestamp createTimestamp() {
        return new Timestamp();
    }

    /**
     * Create an instance of {@link ru.gov.smev.admserv.admserv._1.XMLDSigSignatureType }
     *
     */
    public XMLDSigSignatureType createXMLDSigSignatureType() {
        return new XMLDSigSignatureType();
    }

    /**
     * Create an instance of {@link ru.gov.smev.admserv.admserv._1.SwitchResponse }
     *
     */
    public SwitchResponse createSwitchResponse() {
        return new SwitchResponse();
    }

    /**
     * Create an instance of {@link ru.gov.smev.admserv.admserv._1.SwitchRequest }
     *
     */
    public SwitchRequest createSwitchRequest() {
        return new SwitchRequest();
    }

    /**
     * Create an instance of {@link ru.gov.smev.admserv.admserv._1.CurrentNodeResponse }
     *
     */
    public CurrentNodeResponse createCurrentNodeResponse() {
        return new CurrentNodeResponse();
    }

    /**
     * Create an instance of {@link ru.gov.smev.admserv.admserv._1.CurrentNodeResponseInfo }
     *
     */
    public CurrentNodeResponseInfo createCurrentNodeResponseInfo() {
        return new CurrentNodeResponseInfo();
    }

    /**
     * Create an instance of {@link ru.gov.smev.admserv.admserv._1.SignatureVerificationFault }
     *
     */
    public SignatureVerificationFault createSignatureVerificationFault() {
        return new SignatureVerificationFault();
    }

    /**
     * Create an instance of {@link javax.xml.bind.JAXBElement }{@code <}{@link ru.gov.smev.admserv.admserv._1.AdministrativeServiceFault }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "urn://admserv-smev-gov-ru/admserv/1.0", name = "SenderIsSwitchBlockedFault")
    public JAXBElement<AdministrativeServiceFault> createSenderIsSwitchBlockedFault(AdministrativeServiceFault value) {
        return new JAXBElement<AdministrativeServiceFault>(_SenderIsSwitchBlockedFault_QNAME, AdministrativeServiceFault.class, null, value);
    }

    /**
     * Create an instance of {@link javax.xml.bind.JAXBElement }{@code <}{@link ru.gov.smev.admserv.admserv._1.AdministrativeServiceFault }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "urn://admserv-smev-gov-ru/admserv/1.0", name = "SenderIsNotRegisteredFault")
    public JAXBElement<AdministrativeServiceFault> createSenderIsNotRegisteredFault(AdministrativeServiceFault value) {
        return new JAXBElement<AdministrativeServiceFault>(_SenderIsNotRegisteredFault_QNAME, AdministrativeServiceFault.class, null, value);
    }

    /**
     * Create an instance of {@link javax.xml.bind.JAXBElement }{@code <}{@link ru.gov.smev.admserv.admserv._1.AdministrativeServiceFault }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "urn://admserv-smev-gov-ru/admserv/1.0", name = "SMEVFailure")
    public JAXBElement<AdministrativeServiceFault> createSMEVFailure(AdministrativeServiceFault value) {
        return new JAXBElement<AdministrativeServiceFault>(_SMEVFailure_QNAME, AdministrativeServiceFault.class, null, value);
    }

    /**
     * Create an instance of {@link javax.xml.bind.JAXBElement }{@code <}{@link ru.gov.smev.admserv.admserv._1.SignatureVerificationFault }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn://admserv-smev-gov-ru/admserv/1.0", name = "SignatureVerificationFault")
    public JAXBElement<SignatureVerificationFault> createSignatureVerificationFault(SignatureVerificationFault value) {
        return new JAXBElement<SignatureVerificationFault>(_SignatureVerificationFault_QNAME, SignatureVerificationFault.class, null, value);
    }

}
