package ru.voskhod.smev.client.api.admin.loader;

import ru.voskhod.smev.client.api.admin.impl.AdminFactory;
import ru.voskhod.smev.client.api.factory.loaders.AdminLoader;
import ru.voskhod.smev.client.api.services.admin.AdminService;
import ru.voskhod.smev.client.api.services.admin.configuration.AdminServiceConfiguration;

public final class Loader implements AdminLoader {
    private final AdminFactory factory = new AdminFactory();

    @Override
    public <T extends AdminServiceConfiguration> AdminService getAdmin(T config) {
        return factory.createService(config);
    }
}
