package ru.voskhod.smev.client.api.identification.impl;

import ru.voskhod.smev.client.api.services.identification.IdentityService;


/**
 * The type Identity factory.
 */
public class IdentityFactory {
    /**
     * Gets identity generator.
     *
     * @return the identity generator
     */
    public static IdentityService getIdentityGenerator() {
        return new IdentificationServiceImpl();
    }
}
