package ru.voskhod.smev.client.api.signature.loader;


import ru.voskhod.smev.client.api.factory.loaders.SignerLoader;
import ru.voskhod.smev.client.api.services.signature.Signer;
import ru.voskhod.smev.client.api.services.signature.configuration.SignerConfiguration;
import ru.voskhod.smev.client.api.signature.impl.SignerFactory;
import ru.voskhod.smev.client.api.types.exception.SMEVRuntimeException;

/**
 * The type Loader.
 */
public class Loader implements SignerLoader {
    @Override
    public <T extends SignerConfiguration> Signer getSigner(T config) throws SMEVRuntimeException {
        return SignerFactory.getSigner(config, config.getCertificateAlias(), config.getPrivateKeyAlias(), config.getPrivateKeyPassword());
    }
}
