package ru.voskhod.smev.client.api.transaction.impl;

import ru.voskhod.smev.client.api.services.transaction.TransactionService;
import ru.voskhod.smev.client.api.services.transaction.configuration.TxConfiguration;

/**
 * The type Transaction factory.
 */
public class TransactionFactory {
    /**
     * Gets transaction service.
     *
     * @param txConfig the tx config
     * @return the transaction service
     */
    public static TransactionService getTransactionService(TxConfiguration txConfig) {
        return new TransactionServiceImpl(txConfig);
    }
}
