package ru.voskhod.smev.client.api.transport.configuration;

import ru.voskhod.smev.client.api.services.transport.configuration.GeoMessageTransportConfiguration;
import ru.voskhod.smev.client.api.services.transport.configuration.TransportEndpointConfiguration;

import java.util.List;


/**
 * The type Transport configuration.
 */
public final class GeoTransportConfigurationImpl implements GeoMessageTransportConfiguration {
    private final List<TransportEndpointConfiguration> transportConfigs;

    public GeoTransportConfigurationImpl(List<TransportEndpointConfiguration> transportConfigs) {
        this.transportConfigs = transportConfigs;
    }

    @Override
    public List<TransportEndpointConfiguration> getEndpointConfigurations() {
        return transportConfigs;
    }
}
