package ru.voskhod.smev.client.api.transport.configuration;

import ru.voskhod.smev.client.api.services.transport.configuration.MessageTransportConfiguration;


/**
 * The type Transport configuration.
 */
public final class TransportConfigurationImpl implements MessageTransportConfiguration {

    private final String url;
    private final int timeout;

    public TransportConfigurationImpl(String url, int timeout) {
        this.url = url;
        this.timeout = timeout;
    }

    @Override
    public String getUrl() {
        return url;
    }

    @Override
    public int getTimeout() {
        return timeout;
    }
}
