package ru.voskhod.smev.client.api.transport.configuration;

import ru.voskhod.smev.client.api.services.transport.configuration.TransportEndpointConfiguration;

public final class TransportEndpointConfigurationImpl implements TransportEndpointConfiguration {

    private final String id;
    private final String url;
    private final int timeout;
    private final int retries;


    public TransportEndpointConfigurationImpl(String id, String url, int timeout, int retries) {
        this.id = id;
        this.url = url;
        this.timeout = timeout;
        this.retries = retries;
    }

    @Override
    public int getRetries() {
        return retries;
    }

    @Override
    public String getId() {
        return id;
    }

    @Override
    public String getUrl() {
        return url;
    }

    @Override
    public int getTimeout() {
        return timeout;
    }
}
