package ru.voskhod.smev.client.api.services.transaction.configuration;

import ru.voskhod.smev.client.api.configuration.SMEVConfiguration;

import java.net.URL;

/**
 * Конфигурация сервиса транзакций
 */
public interface TxConfiguration extends SMEVConfiguration {

    /**
     * Возвращает адрес сервиса
     *
     * @return url сервиса
     */
    URL getServiceUrl();

    /**
     * Возврщащает таймаут обращения к сервису
     *
     * @return таймаут обращения к сервису
     */
    int getTimeout();
}
