package ru.voskhod.smev.client.api.types.message.business.parsers;


/**
 * Базовый интерфейс для содержимого сообщений
 */
public interface ParseContentAcceptor {

    /**
     * Вызывается системой для заполнения метаданных
     *
     * @param parseContentVisitor заполнитель метаданных
     */
    void accept(ParseContentVisitor parseContentVisitor);
}
