package ru.voskhod.smev.client.api.factory.loaders;

import ru.voskhod.smev.client.api.services.transaction.TransactionService;
import ru.voskhod.smev.client.api.services.transaction.configuration.TxConfiguration;

/**
 * The interface Transaction loader.
 */
public interface TransactionLoader {
    /**
     * Gets transaction service.
     *
     * @param <T>    the type parameter
     * @param config the config
     * @return the transaction service
     */
    <T extends TxConfiguration> TransactionService getTransactionService(T config);
}
