package ru.voskhod.smev.client.api.factory.loaders;

import ru.voskhod.smev.client.api.services.validation.Validator;
import ru.voskhod.smev.client.api.services.validation.configuration.ValidatorConfiguration;


/**
 * The interface Validator loader.
 */
public interface ValidatorLoader {
    /**
     * Gets validator.
     *
     * @param <T>    the type parameter
     * @param config the config
     * @return the validator
     */
    <T extends ValidatorConfiguration> Validator getValidator(T config);
}
