package ru.voskhod.smev.client.api.identification.loader;


import ru.voskhod.smev.client.api.factory.loaders.IdentityLoader;
import ru.voskhod.smev.client.api.identification.impl.IdentificationServiceImpl;
import ru.voskhod.smev.client.api.services.identification.IdentityService;
import ru.voskhod.smev.client.api.services.identification.configuration.IdentityServiceConfiguration;

/**
 * The type Loader.
 */
public class Loader implements IdentityLoader {

    @Override
    public <T extends IdentityServiceConfiguration> IdentityService getIdentity(T config) {
        return new IdentificationServiceImpl();
    }
}
