package ru.voskhod.smev.client.api.transaction.configuration;


import ru.voskhod.smev.client.api.services.transaction.configuration.TxConfiguration;

import java.net.URL;

/**
 * The type Transaction configuration.
 */
public class TransactionConfigurationImpl implements TxConfiguration {

    private URL serviceUrl;

    public TransactionConfigurationImpl(URL serviceUrl, int timeout) {
        this.serviceUrl = serviceUrl;
        this.timeout = timeout;
    }

    private int timeout;

    @Override
    public URL getServiceUrl() {
        return serviceUrl;
    }

    @Override
    public int getTimeout() {
        return timeout;
    }
}
