package ru.voskhod.smev.client.api.transaction.loader;


import ru.voskhod.smev.client.api.factory.loaders.TransactionLoader;
import ru.voskhod.smev.client.api.services.transaction.TransactionService;
import ru.voskhod.smev.client.api.services.transaction.configuration.TxConfiguration;
import ru.voskhod.smev.client.api.transaction.impl.TransactionFactory;

/**
 * The type Loader.
 */
public class Loader implements TransactionLoader {
    @Override
    public <T extends TxConfiguration> TransactionService getTransactionService(T config) {
        return TransactionFactory.getTransactionService(config);
    }
}
