package ru.voskhod.smev.client.api.services.validation.loader;


import ru.voskhod.smev.client.api.factory.loaders.ValidatorLoader;
import ru.voskhod.smev.client.api.services.validation.Validator;
import ru.voskhod.smev.client.api.services.validation.configuration.ValidatorConfiguration;
import ru.voskhod.smev.client.api.services.validation.impl.SMEVSchemaValidatorImpl;

/**
 * The type Loader.
 */
public class Loader implements ValidatorLoader {
    @Override
    public <T extends ValidatorConfiguration> Validator getValidator(T config) {
        return new SMEVSchemaValidatorImpl();
    }
}
